package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.CmsCate;
import org.apache.ibatis.annotations.Mapper;

/** 内容分类 Mapper */
@Mapper
public interface CmsCateMapper {
    /**
     * 查询内容分类列表
     *
     * @param cmsCate 查询条件
     * @return 内容分类列表
     */
    public List<CmsCate> selectCmsCateList(CmsCate cmsCate);

    /**
     * 通过分类ID查询内容分类
     *
     * @param cateId 分类ID
     * @return 内容分类
     */
    public CmsCate selectCmsCateById(String cateId);

    /**
     * 通过分类ID删除内容分类
     *
     * @param cateId 分类ID
     * @return 影响行数
     */
    public int deleteCmsCateById(String cateId);

    /**
     * 修改内容分类
     *
     * @param cmsCate 内容分类
     * @return 影响行数
     */
    public int updateCmsCate(CmsCate cmsCate);

    /**
     * 新增内容分类
     *
     * @param cmsCate 内容分类
     * @return 影响行数
     */
    public int insertCmsCate(CmsCate cmsCate);

    /**
     * 查询子分类列表
     *
     * @param catePid 父分类ID
     * @return 子分类列表
     */
    public List<CmsCate> findSubList(String catePid);
}
